﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FestoDebugger.Beckoff
{
    public class BeckhoffDOAccessor : BeckhoffIOAccessor<bool>
    {
        #region 内部变量
        private bool _bitOperated = false;
        private int _bit = 0;
        #endregion

        #region 属性
        public bool BitOperated { get { return _bitOperated; } }

        public int Bit { get { return _bit; } }
        #endregion
        public BeckhoffDOAccessor(string name, string address, string scaling, bool bitOperated, int bit) : base(name, address, scaling, "bool")
        {
            _bitOperated = bitOperated;
            _bit = bit;
        }
    }
}
