﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace FestoDebugger.Beckoff
{
    public class BeckhoffOutput
    {
        [XmlAttribute(AttributeName = "Name", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string Name { get; set; }

        [XmlAttribute(AttributeName = "Address", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string Address { get; set; }

        [XmlAttribute(AttributeName = "Type", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string Type { get; set; }

        [XmlAttribute(AttributeName = "DataType", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string DataType { get; set; }

        [XmlAttribute(AttributeName = "BitOperated", Form = XmlSchemaForm.Unqualified, DataType = "boolean")]
        public bool BitOperated { get; set; }

        [XmlAttribute(AttributeName = "Bit", Form = XmlSchemaForm.Unqualified, DataType = "int")]
        public int Bit { get; set; }

        [XmlAttribute(AttributeName = "Invert", Form = XmlSchemaForm.Unqualified, DataType = "boolean")]
        public bool Invert { get; set; }

        [XmlAttribute(AttributeName = "Scaling", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string Scaling { get; set; }

        [XmlAttribute(AttributeName = "Clip", Form = XmlSchemaForm.Unqualified, DataType = "boolean")]
        public bool Clip { get; set; }

        [XmlAttribute(AttributeName = "ModuleName", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string ModuleName { get; set; }
    }
}
