﻿using FestoDebugger.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FestoDebugger.Models
{
    public class SignalModuleData: NotifiableItem
    {
        private string _moduleName;
        
        private bool _signalOn;

        public string ModuleName
        {
            get { return _moduleName; }
            set { _moduleName = value; InvokePropertyChanged(nameof(_moduleName)); }
        }

        public bool SignalOn { get { return _signalOn; } set { _signalOn = value; InvokePropertyChanged(nameof(SignalOn)); } }
    }
}
