﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace FestoDebugger.Beckoff
{
    public class BeckhoffController
    {
        [XmlAttribute(AttributeName = "Name", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string Name { get; set; }

        [XmlAttribute(AttributeName = "IPAddress", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string IPAddress { get; set; }

        [XmlAttribute(AttributeName = "PortAddress", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string PortAddress { get; set; }

        [XmlElement(Type = typeof(BeckhoffInput), ElementName = "Input", IsNullable = false, Form = XmlSchemaForm.Qualified)]
        public List<BeckhoffInput> Inputs { get; set; }

        [XmlElement(Type = typeof(BeckhoffOutput), ElementName = "Output", IsNullable = false, Form = XmlSchemaForm.Qualified)]
        public List<BeckhoffOutput> Outputs { get; set; }


    }
}
