﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FestoDebugger.Beckoff
{
    public class BeckhoffDelegate
    {
        /// <summary>
        /// Twincat断开连接
        /// </summary>
        public delegate void OnNotifyTwincateDisConnect();
        /// <summary>
        /// 变量数值发生变化委托声明
        /// </summary>
        /// <param name="variableName"></param>
        /// <param name="value"></param>
        public delegate void OnUpdateModuleVariableValue(string variableName, object value);
        /// <summary>
        /// 模块变量数值发生变化委托声明
        /// </summary>
        /// <param name="moduleName"></param>
        /// <param name="variableName"></param>
        /// <param name="value"></param>
        public delegate void OnModuleUpdateVariableValue(string moduleName, string variableName, object value);
    }
}
