﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FestoDebugger.Beckoff
{
    public class BeckhoffItem
    {
        public string Name { get; }

        public string Address { get; }
        public string DataType { get; }

        public string IoType { get; }

        public int Size { get; }

        public string Scaling { get; }

        public bool BitOperated { get; }

        public int Bit { get; }

        public bool Invert { get; }

        public BeckhoffItem(string name, string address, string dataType, string scaling, string ioType, int size, bool bitOperated, int bit, bool invert)
        {
            Name = name;
            DataType = dataType;
            IoType = ioType;
            Size = size;
            Address = address;
            Scaling = scaling;
            BitOperated = bitOperated;
            Bit = bit;
            Invert = invert;
        }

        public BeckhoffItem(string name, string address, string dataType, string ioType, int size, bool bitOperated, int bit, bool invert)
        {
            Name = name;
            DataType = dataType;
            IoType = ioType;
            Size = size;
            Address = address;
            BitOperated = bitOperated;
            Bit = bit;
            Invert = invert;
        }
    }
}
