﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace FestoDebugger.Beckoff
{
    public class BeckhoffModule
    {
        [XmlAttribute(AttributeName = "Name", Form = XmlSchemaForm.Unqualified, DataType = "string")]
        public string Name { get; set; }

        [XmlElement(Type = typeof(BeckhoffModuleIOInfo), ElementName = "IO", IsNullable = false, Form = XmlSchemaForm.Qualified)]
        public List<BeckhoffModuleIOInfo> IOs { get; set; }
    }
}
